commit 227e467d611d9c5bcb942f2b2635e4466a8c7fd6
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Mon Dec 15 13:43:19 2025 +0000

    Fast-ramp: do not notify daemon during high load-avg

diff --git a/src/src/queue.c b/src/src/queue.c
index 97238ba1a..46f7f3d57 100644
--- a/src/src/queue.c
+++ b/src/src/queue.c
@@ -1695,6 +1695,13 @@ int fd;
 
 DEBUG(D_queue_run) debug_printf("%s: %s\n", __FUNCTION__, msgid);
 
+if (  deliver_queue_load_max >= 0
+   && os_getloadavg() > deliver_queue_load_max)
+  {
+  DEBUG(D_queue_run) debug_printf(" - avoided due to load-avg\n");
+  return;
+  }
+
 buf[0] = NOTIFY_MSG_QRUN;
 memcpy(buf+1, msgid, MESSAGE_ID_LENGTH+1);
 Ustrcpy(buf+1+MESSAGE_ID_LENGTH+1, queue_name);

